Packages - Bug #1430

[openrc] Error with system shutdown
2017-08-06 02:16 AM - throgh

Status: fixed % Done: 100%
Priority: broken

Assignee: ovruni

Category:

Description

After the update to version 0.28.1 the system does not shutdown correct: The screen is freezing after HALT and nothing more
happens. Environment: XFCE with everything up-to-date for now!

History

#1 - 2017-08-06 02:23 AM - throgh

Could this be a side-effect of the removal of the package "sysvinit"? I've tried to recreate the previous version, only having an unresolved
dependency. Also there were many packages updated for OpenRC within the last days and | try to sort out what error this could be. For now there are
no messages of the services shutting down any longer as | had this in the past before the update. The system is just stucked with the sidenote that
after another reboot nothing seems to be within a failed state. There are no journal-entries for the volumes to be corrected!

#2 - 2017-08-06 02:18 PM - throgh

A further check: I've removed the package consolekit-openrc and installed elogind for OpenRC. The problem itself stays! | had a further look into the
problem because my supsection is that this could be also within XFCE and my modifications. Using shutdown -h now results in the same: The
system is halted but no shutdown. Using sudo poweroff is functional!

#3 - 2017-08-06 02:53 PM - reg

| ran into this problem as well. I'm using i3 with no display manager. Tried shutdown/poweroff from tty & nothing happens (no error message, but the
system doesn't shutdown).

#4 - 2017-08-06 04:33 PM - throgh

reg wrote:

I ran into this problem as well. I'm using i3 with no display manager. Tried shutdown/poweroff from tty & nothing happens (no error message, but
the system doesn't shutdown).

This would be my other test I'd like to try with another system: Using there the Deepin-Environment and tried to install OpenRC, but this failed for
now. So | had problems logging into the console to just try shutting down from there. So it becomes more and more clear that something with
OpenRC is not correct for now?

#5 - 2017-08-07 03:03 PM - throgh

It seems the package has a concrete problem, which is already documented on Github: https://github.com/OpenRC/openrc/issues/152

#6 - 2017-08-07 04:56 PM - throgh

Just another test because it seems the package elogind is also broken: OpenRC shows it with the status crashed on rc-status --all. So I've changed
back to consolekit-openrc, including polkit. And | plan migrating back to OpenRC 0.27.2 as last functional version! But therefore | need sysvinit. So
I've recreated the package from the GIT-repository of Parabola.

#7 - 2017-08-07 05:51 PM - ovruni

poweroff and halt works for me from console. (openrc-0.28-1.parabolat)

#8 - 2017-08-07 05:55 PM - throgh

ovruni wrote:

poweroff and halt works for me from console. (openrc-0.28-1.parabolat)

ovruni: You mean the commands? Yes they work. But using the graphical interface from XFCE not! If you try to shutdown the system just stops after
reporting to being "halted".

#9 - 2017-08-07 11:55 PM - throgh
After a lookup and a new installation: openrc-base seems now being impossible to install because of messed up dependencies - note for an existing
installation with systemd first!

EDIT: And another tryout, this time completed with base-openrc instead of base as package. And this doesn't work either! So I'll stay the way to
install with systemd-base first. But who has changed the optional dependency for eudev-systemd? This seems causing this nearly impossible
situation and results in a conflict.

#10 - 2017-08-08 01:12 AM - throgh

First positive message: The installation just needed eudev-systemd as first package. Perhaps somebody could change the dependencies?
Otherwise this cause errors.

#11 - 2017-08-08 01:31 AM - throgh

Sorry people, but you should really think about a revoke of the packages regarding OpenRC: A fresh install is even not possible to boot for now!

So after a complete new installation and a revoke to version 0.27.2 it is fully working and booting now, shutdown is also correct again! But the
concurrent error is NOT resolved. Even worse: The rework for elogind and the new version 0.28 destroyed much from my point of view.

Locked all OpenRC-packages within pacman.conf for now, until this is resolved.

#12 - 2017-10-13 01:16 AM - ovruni

| installed xfce with elogind and the shutdown buttons work.

#13 - 2017-10-15 11:46 PM - ovruni
- % Done changed from 0 to 100
- Assignee set to ovruni

- Status changed from open to fixed
